

%header
tol=0.01;
theta=0.001;

[lnc,Tc,Tic]=tauchen(0,sigma_c,Nc);
lnc=lnc+mu_c;
cf=exp(lnc)';
ce=sum(Tic.*cf);    %Set entry cost to mean operating cost
ce=ce;
%ce=0.005;               %Entry cost


%% Scenarios



Avec=[1 1.2];




wvec=[3.1655 3.1655];

iter=1
for iA=1:length(Avec)
  
    A=Avec(iA);                    %Aggregate state

    %% Clear labor market
    %w=3;
    w=wvec(iA);
    wlo=1;
    whi=8;

    lgap=100;
    
    fprintf('lgap=100');

    
    witer=1;
    while lgap>tol
        [measure,entryrate,aggemp,entryemp,noexit,noentry]=geneqm(A,w,gamma,alpha,ce,1,iter);
        %A,w,gamma,alpha,ce,save mu/vfi etc,iteration
        
        lgap=abs(log(aggemp)-log(w^gamma));
        
        impliedwage=aggemp^(1/gamma);
        
        %lgap=0.5*tol; %Partial equilibrium
        
        if lgap>tol || noexit==1 || noentry==1
            if noexit==0 && noentry==0
                if aggemp>w^gamma %demand exceeds supply, raise the wage
                    wlo=w;
                    w=w+(whi-w)/2;

                else %Supply exceeds demand, reduce the wage
                    whi=w;
                    w=w-(w-wlo)/2;
                end
                %w=theta*impliedwage+(1-theta)*w;
            elseif noexit>0 && noentry==0
                wlo=w;
                w=w+(whi-w)/2;

                fprintf('No EXITS!')
            elseif noentry>0 && noexit==0
                whi=w;
                w=w-(w-wlo)/2;

                fprintf('No ENTRANTS!')
            else
                fprintf('WE GOT NOTHIN')
            end
        end
        
        

        
        [w lgap aggemp w^gamma];
        if mod(witer,5)==0
            fprintf('...%s',lgap)
        end
        
        witer=witer+1;
        
    end
    

    
    temp=[A w alpha measure entryrate aggemp entryemp entryemp/aggemp];
    if iter==1
        outfile=temp;
        save('outfile.mat','outfile');
    else
        load('outfile.mat')
        outfile=[outfile;temp];
        save('outfile.mat','outfile');
    end
    csvwrite('outfile.csv',outfile);
    
    iter=iter+1
end



    
    
    
    
    
    
    